require 'fundraise/fund_request'
require 'fundraise/die'
require 'fundraise/project'
require 'fundraise/funding_round'

module Fundraise

describe FundRequest do

  before do
    @initial_funding = 150
    @target = 300    
    @project = Project.new("Project LMN", @target, @initial_funding)
    @fundrequest = FundRequest.new("VC-Friendly Start-up Projects")
    @fundrequest.add_project(@project)
  end

  context "rolled die" do 

    it "rolled an even number" do
      allow_any_instance_of(Die).to receive(:number).and_return(2)
      @fundrequest.request_funding(1)
      expect(@project.current_funding).to eq(@initial_funding + 25)
    end

    it "rolled an odd number" do
      allow_any_instance_of(Die).to receive(:number).and_return(3)
      @fundrequest.request_funding(1)
      expect(@project.current_funding).to eq(@initial_funding - 15)
    end
   end
end

end
